Results 1 to 5 of 5

Thread: eID - ccid

  1. #1

    Default eID - ccid

    Ik zou graag de eID software installeren op de laatste release van openSUSE 11.04.

    Ik krijg volgende foutmelding:
    linux-1gtk:~/Downloads # rpm -i eid-mw-4.0.0-0.925.el5.i386.rpm
    error: Failed dependencies:
    ccid is needed by eid-mw-4.0.0-0.925.el5.i386
    Volgens zypper en yast in dit packet geïnstalleerd.
    linux-1gtk:~/Downloads # zypper search ccid
    Loading repository data...
    Reading installed packages...

    S | Name | Summary | Type
    --+-----------+--------------------------------------------------------+--------
    i | pcsc-ccid | PCSC Driver for CCID Based Smart Card Readers and Ge-> | package

    Maar nog steeds blijft er de melding dat ik ccid nodig heb. Ik weet dat eID ni wordt ondersteund in 11.04 maar het programma installeren van source zou misschien mogelijk zijn ? En hoe komt het dat ik steeds de foutmelding nog krijg terwijl dat het packet al is geïnstalleerd ?.

    Iemand dit al geprobeerd ? of enig idee hoe dat ik dit kan oplossen ?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,761

    Default Re: eID - ccid

    Ik kan geen volledig antwoord geven.Volgens mij wordt gevraagd om het pakket ccid terwijl jij laat zien dat je pakket pcsc-ccid hebt. Het kan zijn dat de inhoud hetzelfde is, maar dat verschillende pakketbouwers verschillende namen hebben bedacht. Je vertelt niet waar je de RPM vandaan hebt.

    Overigens bestaat openSUSE 11.04 niet, je hebt waarschijnlijk 11.4

    En nog iets, je probeert om je computer in/uitvoer duidelijk te scheiden van de gewone tekst in je post. Dat is prima. Maar je gebruikt daarvoor QUOTE tags terwijl CODE tags daarvoor veel beter geschikt zijn: Posting in Code Tags - A Guide
    Henk van Velden

  3. #3

    Default Re: eID - ccid

    ok, bedankt ik zal wat verder zoeken.

    Ja ik bedoelde 11.4

  4. #4

    Default Re: eID - ccid

    Wel, ik heb gisteren die eid-mw-4.0.0-0.925 geinstalleerd (wel de "fc16" rpm, waarvan ik vermoed dat het voor de volgende fedora-versie is, ik weet niet waarvoor "el" staat). Die ccid-afhankelijkheid heb ik genegeerd, maar heb er wel voor gezorgd dat pcsc-ccid geïnstalleerd was. En het werkte (zie hier hoe ik alles voor mekaar gekregen heb) voor zowel 32bit als 64bit.

    Met de nadruk op "werkte", helaas. Na reboot was het gedaan met de leute.
    • Op mijn 64bit desktop blijven zowel firefox als eid-viewer hangen tot ik de cardreader in- en terug uitgeplugd heb. Pas daarna floept firefox pas open (en zal ook blijven opstarten zoals het hoort totdat ik reboot). Maar de kaartlezer wordt dan niet meer herkend. Na veel gepruts ben ik er een aantal keer in geslaagd om de kaartlezer te doen werken, maar heb het gevoel dat dit hoe langer hoe minder lukt - alsof er een soort van teller in zit dat omgekeerd evenredig werkt met de kans op succes... Na reboot heb ik steeds weer hetzelfde probleem met firefox; de eID-addon uitschakelen lijkt dat probleem op te lossen, maar daarmee werkt de kaartlezer natuurlijk helemaal niet meer.
    • Op mijn 32bit netbook bevriezen firefox en eid-viewer niet. Maar kaarten worden ook hier plots niet meer gelezen. In eid-viewer lijkt het hier of de kaartlezer wel herkend wordt, maar hij vindt geen kaart. Met wat gepruts ben ik er wel al een paar keer in geslaagd het te doen werken, maar ook hier hoe langer hoe minder.

    Ik heb geen idee wat er aan de hand is. Gisteren zag het er nochtans zo goed uit; het werkte volledig foutloos, wat bij de versies voor opensuse 11.1-3 en zelfs bij de windowsversies niet altijd het geval was.

  5. #5

    Default Re: eID - ccid

    Kleine update

    Wat betreft mijn 64bit desktop computer: blijkbaar loopt er iets mis in de communicatie tussen de middleware en de pcsc-daemon. Als ik de daemon in de achtergrond stop en manueel in de voorgrond laat lopen, werkt alles plots wel (zowel inloggen op een eID-website in firefox als het inlezen van mijn kaart met eid-viewer).
    Code:
    # /etc/init.d/pcscd stop
    # pcscd -fd
    Op mijn 32bit netbookje liggen de zaken iets anders. Ik heb de indruk dat het probleem daar aan de ccid-driver ligt, gezien ik een foutmelding zie in wat "pcscd -fd" uitspuwt (foutmelding: 00004622 ccid_usb.c:653:ReadUSB() read failed (2/13): -99 Invalid argument).

    Achja, ik kan nu op z'n minst al mijn belastingsbrief invullen op mijn desktop

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •